Subject: Re: GNOME3 flashback session refuses to launch on Debian 8 jessie

From: Michael DePaulo <[email-masked]>
Date: Mon, 8 Sep 2014 09:51:53 -0400

On Mon, Sep 8, 2014 at 5:22 AM, Mike Gabriel
<[email-masked]> wrote:
> Hi Michael,
>
> On  So 07 Sep 2014 21:53:08 CEST, Michael DePaulo wrote:
>
>> The problem appears to be that the current version of source & binary
>> package "gnome-session", 3.12.1-3 (in both jessie and sid), checks for
>> hardware 3D acceleration even when launching GNOME flashback session,
>> which does not require acceleration.
>>
>> There is probably also a problem with the composite extension not
>> being available (or not being new enough.)
>>
>> x2goserver will probably need to pass an argument like
>> "--disable-acceleration-check" to gnome-session, once that argument is
>> implemented by gnome-session. So I figured I'd report this bug against
>> x2goserver.
>
>
> Fine by me. Once we have that option in GNOMEv3.
>
>> GNOME bug: https://bugzilla.gnome.org/show_bug.cgi?id=731173
>> Corresponding Ubuntu bug:
>> https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/1251281
>> Debian bug: Couldn't find one
>>
>> Mike#1, how do you propose we word this bug in the Debian BTS? Do you
>> want me to submit it or, should you? You are a DD after all.
>
>
> Focusing on getting it into jessie only makes sense, if we can provide a
> concrete patch that provides a fix to that issue in Debian.
>
> If we don't have a patch, then the issue is unlikely to get fixed before the
> jessie release, I feel.
>
> As X2Go is not very usable with Debian's GNOMEv3 at the moment, I guess not
> many on the GNOME packaging team are interested in getting this changed
> before jessie. However, you could ping mitya57 [1] on #debian-devel
> (irc.debian.org) and check if he is open to a solution for GNOMEv3+X2Go.
>
> Check if we can present a patch for GNOMEv3 in Debian, Talk to mitya57 /
> Dmitry. If all is positive, please draft a BTS report and I proxy it
> through, but maybe once you have chatted with mitya57, it makes sense that
> you post the BTS issue directly, yourself.

I read the GNOME bug report more closely and came up with this plan. Thoughts?

1. Fix the issues/shortcomings with the patch for GNOME bug 731173 and
get it accepted into the latest GNOME, even if that version is of
GNOME is 3.15/3.16 rather than 3.13/3.14.
2. Backport the patch to GNOME 3.12.
3. File a bug report for Debian to accept the backported patch.
4. Ping mitya57 on #debian-devel

> If there are hurdles upcoming in all this, I would lower priority and focus
> on other tasks (IMHO).
>

Agreed.

> Greets,
> Mike
>
> [1]
> http://metadata.ftp-master.debian.org/changelogs//main/g/gnome-panel/gnome-panel_3.8.1-2_changelog
[...]

-Mike#2